Bug 459457 - SIGSEGV when Selecting Text
SIGSEGV when Selecting Text
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 01:38 EDT by CAI Qian
Modified: 2008-08-31 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-31 21:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAI Qian 2008-08-19 01:38:16 EDT
Description of problem:
When selecting text using mouse on the terminal screen, gnome-terminal crashed.

(gdb) bt
#0  vte_terminal_extend_selection (terminal=<value optimized out>, 
    x=<value optimized out>, y=<value optimized out>, always_grow=<value optimized out>, 
    force=<value optimized out>) at vte.c:6178
#1  0x0000003a2a22b04f in vte_terminal_motion_notify (widget=<value optimized out>, 
    event=<value optimized out>) at vte.c:6632
#2  0x0000003a1f76caa4 in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#3  0x0000003a1960b7fd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:767
#4  0x0000003a19622264 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized out>)
    at gsignal.c:3282
#5  0x0000003a19623b58 in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2987
#6  0x0000003a19624213 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:3034
#7  0x0000003a1f8d7e75 in gtk_widget_event_internal (widget=Could not find the frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4745
#8  0x0000003a1f8d7997 in IA__gtk_widget_event (widget=Could not find the frame base for "IA__gtk_widget_event".
) at gtkwidget.c:4542
#9  0x0000003a1f76ad36 in IA__gtk_propagate_event (widget=Could not find the frame base for "IA__gtk_propagate_event".
) at gtkmain.c:2363
#10 0x0000003a1f769704 in IA__gtk_main_do_event (event=Could not find the frame base for "IA__gtk_main_do_event".
) at gtkmain.c:1568
#11 0x0000003a22e61e93 in gdk_event_dispatch (source=Could not find the frame base for "gdk_event_dispatch".
) at gdkevents-x11.c:2365
#12 0x0000003a18a378c2 in g_main_dispatch () at gmain.c:2072
#13 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2624
#14 0x0000003a18a3b05d in g_main_context_iterate (context=<value optimized out>, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2705
#15 0x0000003a18a3b58d in IA__g_main_loop_run (loop=<value optimized out>)
    at gmain.c:2928
#16 0x0000003a1f768e55 in IA__gtk_main () at gtkmain.c:1172
#17 0x0000000000415d75 in main (argc=1, argv=0x7fff317a6d08) at terminal.c:1253
(

Please let me know if you need the core file, so I will upload it somewhere.

Version-Release number of selected component (if applicable):
gnome-terminal-2.23.6-1.fc10.x86_64
vte-0.17.1-1.fc10.x86_64
gtk2-2.13.6-3.fc10.i386

How reproducible:
very often

Steps to Reproduce:
1. repetitively use mouse to select text in terminal windows.
Comment 1 Behdad Esfahbod 2008-08-19 15:46:31 EDT
This is fixed upstream.  Will build as soon as the build system is back.
There's a dup of it also.
Comment 2 CAI Qian 2008-08-27 22:30:06 EDT
I tried the latest gnome-terminal-2.23.6-2.fc10.x86_64, but found the problem has not been fixed. Reopen it for now. Feel free to close it, if the new package with the fix has been built.
Comment 3 Matthias Clasen 2008-08-27 23:25:10 EDT
The fix is in vte.
Comment 4 CAI Qian 2008-08-27 23:34:37 EDT
Confirmed it has been fixed by vte-0.17.2-1.fc10.x86_64.rpm. Thanks!

Note You need to log in before you can comment on or make changes to this bug.